---
#https://cert-manager.io/docs/configuration/acme/#creating-a-basic-acme-issuer

apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-staging
spec:
  acme:
    email: r_morgan@sympatico.ca
    server: https://acme-staging-v02.api.letsencrypt.org/directory
#    disableAccountKeyGeneration: true
    privateKeySecretRef:
      # Secret resource that will be used to store the account's private key.
      name: letsencrypt-staging-issuer-account-key
    # Add a single challenge solver, HTTP01
    solvers:
      - http01:
          ingress:
            class: traefik
